rte_mempool_memhdr(3)

NAME
rte_mempool_memhdr

SYNOPSIS

#include <rte_mempool.h>

  Public Member Functions

RTE_STAILQ_ENTRY (rte_mempool_memhdr) next

  Data Fields

struct rte_mempool * mp
void * addr
rte_iova_t iova
size_t len
rte_mempool_memchunk_free_cb_t * free_cb
void * opaque

Detailed Description

Mempool objects memory header structure

The memory chunks where objects are stored. Each chunk is virtually and physically contiguous.

Definition at line 206 of file rte_mempool.h.

Member Function Documentation

  RTE_STAILQ_ENTRY (rte_mempool_memhdr )
Next in list.

Field Documentation

  struct rte_mempool* mp
The mempool owning the chunk

Definition at line 208 of file rte_mempool.h.

  void* addr
Virtual address of the chunk

Definition at line 209 of file rte_mempool.h.

  rte_iova_t iova
IO address of the chunk

Definition at line 210 of file rte_mempool.h.

  size_t len
length of the chunk

Definition at line 211 of file rte_mempool.h.

  rte_mempool_memchunk_free_cb_t* free_cb
Free callback

Definition at line 212 of file rte_mempool.h.

  void* opaque
Argument passed to the free callback

Definition at line 213 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.